com.saxonica.schema.fsa

## Class Edge.MaxOccursParticle

- java.lang.Object
- - com.saxonica.schema.SchemaStructure
  - - com.saxonica.schema.SimpleComponentReference
    - - com.saxonica.schema.Particle
      - - com.saxonica.schema.ModelGroupParticle
        - - com.saxonica.schema.fsa.Edge.MaxOccursParticle

- All Implemented Interfaces:
    ComponentReference, UserSchemaComponent, Serializable, SourceLocator, SchemaComponent
  Enclosing class:
    Edge

      public static class Edge.MaxOccursParticle
      extends ModelGroupParticle

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.schema.Particle

      `UNBOUNDED`

    - ### Fields inherited from class com.saxonica.schema.SimpleComponentReference

      `nameCode, symbolSpace, target`

    - ### Fields inherited from interface net.sf.saxon.type.SchemaComponent

      `COMPONENT_FUNCTION_TYPE, FIXED_UP, INCOMPLETE, INVALID, UNVALIDATED, VALIDATED, VALIDATING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Edge.MaxOccursParticle` | `getInstance()`
    `Term` | `getTerm()` Get the term corresponding to this particle

    - ### Methods inherited from class com.saxonica.schema.ModelGroupParticle

      `compile, containsElementWildcard, elaborate, fixup, gatherAllPermittedElements, getElementParticleCardinality, getElementParticleType, getGroup, getSymbolSpace, getTarget, isEmptiable, isPointless, isResolved, lookForCycles, markVulnerableSubParticles, serializeParticle, tryToResolve, validate`

    - ### Methods inherited from class com.saxonica.schema.Particle

      `computeParticleCardinality, getComponentAsFunction, getMaxOccurs, getMinOccurs, isVulnerable, setMaxOccurs, setMinOccurs, setVulnerable`

    - ### Methods inherited from class com.saxonica.schema.SimpleComponentReference

      `getFingerprint, getNameCode, setNameCode, setTarget`

    - ### Methods inherited from class com.saxonica.schema.SchemaStructure

      `getColumnNumber, getConfiguration, getFixupStatus, getLineNumber, getPublicId, getRedefinitionLevel, getSchemaDocumentURI, getSystemId, getValidationStatus, makeXPathExpressionPropertyRecord, setConfiguration, setFixupStatus, setLineNumber, setLocator, setRedefinitionLevel, setSchemaDocumentURI, setSystemId, setValidationStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.saxonica.schema.ComponentReference

      `getConfiguration, getFingerprint`

    - ### Methods inherited from interface javax.xml.transform.SourceLocator

      `getColumnNumber, getLineNumber, getPublicId, getSystemId`

    - ### Methods inherited from interface net.sf.saxon.type.SchemaComponent

      `getRedefinitionLevel, getValidationStatus`

- - ### Method Detail

    - #### getInstance

          public static Edge.MaxOccursParticle getInstance()

    - #### getTerm

          public Term getTerm()

      Description copied from class: `ModelGroupParticle`
      Get the term corresponding to this particle
      Overrides:
        `getTerm` in class `ModelGroupParticle`
      Returns:
        the corresponding term

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.